uk.gov.voa.play

# form

#### package form

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. form
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### type Condition = (Map[String, String]) ⇒ Boolean

2. #### case class ConditionalMapping[T](condition: Condition, wrapped: Mapping[T], defaultValue: T, constraints: Seq[Constraint[T]] = Nil, keys: Set[String] = Set()) extends Mapping[T] with Product with Serializable

3. #### case class MandatoryOptionalMapping[T](wrapped: Mapping[T], constraints: Seq[Constraint[Option[T]]] = Nil) extends Mapping[Option[T]] with Product with Serializable

4. #### implicit class conditionOpts extends AnyRef

### Value Members

1. #### object ConditionalMappings

2. #### implicit val emptyList: List[Nothing]

3. #### implicit val emptyOption: None.type

### Inherited from AnyRef

### Inherited from Any

### Ungrouped